Register document
curl --request POST \
--url https://sandbox.payfi.global/v1/operations/{operationId}/documents \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <api-key>' \
--header 'X-PayFi-Api-Key: <api-key>' \
--header 'X-PayFi-Nonce: <api-key>' \
--header 'X-PayFi-Signature: <api-key>' \
--data '
{
"documentType": "invoice",
"fileName": "invoice-123.pdf",
"contentType": "application/pdf",
"sizeBytes": 123456
}
'import requests
url = "https://sandbox.payfi.global/v1/operations/{operationId}/documents"
payload = {
"documentType": "invoice",
"fileName": "invoice-123.pdf",
"contentType": "application/pdf",
"sizeBytes": 123456
}
headers = {
"X-PayFi-Api-Key": "<api-key>",
"X-PayFi-Nonce": "<api-key>",
"X-PayFi-Signature": "<api-key>",
"Idempotency-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-PayFi-Api-Key': '<api-key>',
'X-PayFi-Nonce': '<api-key>',
'X-PayFi-Signature': '<api-key>',
'Idempotency-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
documentType: 'invoice',
fileName: 'invoice-123.pdf',
contentType: 'application/pdf',
sizeBytes: 123456
})
};
fetch('https://sandbox.payfi.global/v1/operations/{operationId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"documentId": "doc_example",
"status": "UPLOAD_PENDING",
"uploadUrl": "https://storage.example.com/presigned-upload",
"uploadUrlExpiresInSeconds": 300
}{
"error": {
"code": "INVALID_REQUEST",
"message": "The request payload is invalid."
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication failed."
}
}Operations
Register document
Registers document metadata and returns a short-lived presigned upload URL.
POST
/
v1
/
operations
/
{operationId}
/
documents
Register document
Authorizations
Path Parameters
Operation ID.
Body
application/json
Document metadata.
Available options:
invoice, bill_of_lading, packing_list, di_duimp, bank_details, proforma, service_contract, insurance_policy Example:
"invoice"
Example:
"invoice-123.pdf"
Example:
"application/pdf"
Example:
123456
Response
Document registered.
Example:
"doc_example"
Available options:
REGISTERED, UPLOAD_PENDING, UPLOADED, SCANNING, CLEAN, REJECTED, PROCESSING, PROCESSED, PROCESSING_FAILED Example:
"UPLOAD_PENDING"
Example:
"https://storage.example.com/presigned-upload"
Example:
300
⌘I